Bug 363931 - pvcreate allows overwrite PV of another VG if created with no metadata areas
pvcreate allows overwrite PV of another VG if created with no metadata areas
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 10:57 EDT by Milan Broz
Modified: 2013-02-28 23:05 EST (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2008-0378
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2007-11-02 10:57:02 EDT
pvcreate should do full scan of physical volumes to not allow overwriting
Physical Volume created with "--metadatacopies 0" which is part of another
Volume Group

lvm2-2.02.26-3.el5

Steps to reproduce:

# pvcreate /dev/sdb1
  Physical volume "/dev/sdb1" successfully created
# pvcreate --metadatacopies 0 /dev/sdc1
  Physical volume "/dev/sdc1" successfully created
# vgcreate vg /dev/sd[bc]1
  Volume group "vg" successfully created
# vgs
  VG   #PV #LV #SN Attr   VSize   VFree
  myvg   1   1   0 wz--n-   6.81G      0
  vg     2   0   0 wz--n- 400.00M 400.00M
# pvcreate /dev/sdc1
  Physical volume "/dev/sdc1" successfully created
# vgs
  Couldn't find device with uuid 'lH8kkZ-Grob-5O8L-0jPK-f9f8-b0t6-xTN6oL'.
  Couldn't find all physical volumes for volume group vg.
  Couldn't find device with uuid 'lH8kkZ-Grob-5O8L-0jPK-f9f8-b0t6-xTN6oL'.
  Couldn't find all physical volumes for volume group vg.
  Volume group "vg" not found
  VG   #PV #LV #SN Attr   VSize VFree
  myvg   1   1   0 wz--n- 6.81G    0
Comment 1 RHEL Product and Program Management 2007-11-02 11:04:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Milan Broz 2008-01-17 19:23:46 EST
In lvm2-2.02.30-1.el5.
Comment 6 errata-xmlrpc 2008-05-21 11:39:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0378.html

Note You need to log in before you can comment on or make changes to this bug.